Bug 1949240 - [4.6z] Bump OVN: Lots of conjunction warnings in ovn-controller container logs
Summary: [4.6z] Bump OVN: Lots of conjunction warnings in ovn-controller container logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: 4.6.z
Assignee: Tim Rozet
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On: 1949239
Blocks: 1935424
TreeView+ depends on / blocked
 
Reported: 2021-04-13 18:43 UTC by Tim Rozet
Modified: 2021-11-19 06:54 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1949239
Environment:
Last Closed: 2021-06-08 13:54:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 525 0 None open Bug 1949240: Bump OVN version in 4.6 to 20.12.0-24 2021-05-06 18:00:38 UTC
Red Hat Product Errata RHBA-2021:2157 0 None None None 2021-06-08 13:54:39 UTC

Comment 1 Tim Rozet 2021-04-15 18:16:48 UTC
In order to bump OVN on 4.6z we also need to upgrade workers before masters. Adding https://bugzilla.redhat.com/show_bug.cgi?id=1950094 as a dependency.

Comment 9 Ying Wang 2021-06-01 05:38:08 UTC
verified on build 4.6.0-0.nightly-2021-05-29-053555,



lilia@liliadeMacBook-Pro mycluster % oc version
Client Version: 4.7.5
Server Version: 4.6.0-0.nightly-2021-05-29-053555
Kubernetes Version: v1.19.0+d670f74
lilia@liliadeMacBook-Pro mycluster % 


lilia@liliadeMacBook-Pro mycluster % oc get network.config/cluster -o jsonpath='{.status.networkType}{"\n"}'
OVNKubernetes

lilia@liliadeMacBook-Pro mycluster % oc get pods -n openshift-ovn-kubernetes
NAME                   READY   STATUS    RESTARTS   AGE
ovnkube-master-67vtb   6/6     Running   1          128m
ovnkube-master-bvrks   6/6     Running   3          128m
ovnkube-master-z7dd7   6/6     Running   3          128m
ovnkube-node-4p7gg     3/3     Running   0          128m
ovnkube-node-bqntb     3/3     Running   0          118m
ovnkube-node-fhpnl     3/3     Running   0          128m
ovnkube-node-pspcc     3/3     Running   0          118m
ovnkube-node-rpj9d     3/3     Running   0          117m
ovnkube-node-zqvc4     3/3     Running   0          128m
ovs-node-g4qjt         1/1     Running   0          117m
ovs-node-ltbgv         1/1     Running   0          128m
ovs-node-mk98v         1/1     Running   0          118m
ovs-node-qvps7         1/1     Running   0          128m
ovs-node-s88zw         1/1     Running   0          118m
ovs-node-xkg62         1/1     Running   0          128m

checked logs on ovn-kube-node-xx and ovs-node-xx, didn't find the error logs.

Comment 11 errata-xmlrpc 2021-06-08 13:54:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.32 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2157


Note You need to log in before you can comment on or make changes to this bug.